Subject: Re: bug#58357: [Patch staging ] doc add a recommended system in 'Hardware Considerations'

From: Ludovic Courtès <[email-masked]>
Date: Thu, 03 Nov 2022 20:21:35 +0100

Hi,

Ludovic Courtès <[email-masked]> skribis:

>   • Under “Hardware Considerations”, list common devices known not to
>     work without non-free {firm,soft}ware, such as Intel Wifi (iwlwifi).
>     We cannot be exhaustive but we should at least mention common
>     problems with recent x86_64 laptops.
>
>   • Under “Hardware Considerations”, make the list of devices known to
>     work clearer, in tabular form, perhaps expanding it.
>
>   • In the installer, print a message upfront when unusable devices are
>     found—typically Intel wifi.
>
>     I’m not sure how to do this though.  Maintaining a list of known-bad
>     devices doesn’t sound great, but it’s better than nothing.
>     Instrumenting the firmware-loading mechanism would be a good way to
>     detect problems, but I think it’s not even getting invoked in
>     Linux-libre (or not always).  Alternatively, we could tweak
>     deblobbing so that it produces a list of known-bad modules or
>     devices.

Here’s a contribution for this last item:

  https://issues.guix.gnu.org/59003

Feedback welcome!

Ludo’.